Bug 137312 - [patch] devel/lemon: update from 1.39 to 1.69
Summary: [patch] devel/lemon: update from 1.39 to 1.69
Status: Closed FIXED
Alias: None
Product: Ports & Packages
Classification: Unclassified
Component: Individual Port(s) (show other bugs)
Version: Latest
Hardware: Any Any
: Normal Affects Only Me
Assignee: Dmitry Marakasov
URL:
Keywords:
Depends on:
Blocks:
 
Reported: 2009-07-31 19:20 UTC by Vitaly Magerya
Modified: 2009-08-04 01:50 UTC (History)
0 users

See Also:


Attachments
file.diff (1.97 KB, patch)
2009-07-31 19:20 UTC, Vitaly Magerya
no flags Details | Diff

Note You need to log in before you can comment on or make changes to this bug.
Description Vitaly Magerya 2009-07-31 19:20:01 UTC
The attached patch updates devel/lemon to 1.69 and makes me maintainer.

Also, with the patch lemon searches for `lempar.c' not only in current dir,
but in DESTDIR also. This way you don't have to copy it into current dir
to use lemon.

Note however that since the patch injects DESTDIR directly into C sources,
errors will occur if DESTDIR contains double quotes or backslashes.
I'll work on this if this is of concern.

Finally, It would be great if the commiter would mirror the distfile somewhere,
since the current MASTER_SITE is not as reliable as I'd like it to be.

Fix: Patch attached with submission follows:
Comment 1 Dmitry Marakasov freebsd_committer 2009-08-03 17:06:04 UTC
Responsible Changed
From-To: freebsd-ports-bugs->amdmi3

I'll take it.
Comment 2 Dmitry Marakasov freebsd_committer 2009-08-04 01:40:55 UTC
State Changed
From-To: open->closed

Committed. Thanks!
Comment 3 dfilter service freebsd_committer 2009-08-04 01:41:00 UTC
amdmi3      2009-08-04 00:40:45 UTC

  FreeBSD ports repository

  Modified files:
    devel/lemon          Makefile distinfo pkg-plist 
  Log:
  - Update to 1.69
  - Some port improvements
  - Pass maintainership to submitter
  - Mirror the distfile
  
  PR:             137312
  Submitted by:   Vitaly Magerya <vmagerya@gmail.com>
  
  Revision  Changes    Path
  1.12      +13 -8     ports/devel/lemon/Makefile
  1.7       +3 -3      ports/devel/lemon/distinfo
  1.2       +2 -2      ports/devel/lemon/pkg-plist
_______________________________________________
cvs-all@freebsd.org mailing list
http://lists.freebsd.org/mailman/listinfo/cvs-all
To unsubscribe, send any mail to "cvs-all-unsubscribe@freebsd.org"